%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:		canto
Version:	0.7.4
Release:	1%{?dist}
Summary:	Atom/RSS feed reader based on ncurses
Group:		Applications/Internet
License:	GPLv2
URL:		http://codezen.org/canto/
Source0:	http://codezen.org/static/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python-devel 
BuildRequires:	ncurses-devel
BuildRequires:	python-feedparser
BuildRequires:	python-chardet
BuildRequires:	python-setuptools-devel
Requires:	python-chardet

%description
Canto is an Atom/RSS feed reader for the console that is meant to be quick,
concise, and colorful. It's meant to allow you to crank through feeds like
you've never cranked before by providing a minimal, yet information packed
interface. No navigating menus. No dense blocks of unreadable white text.
An interface with almost infinite customization and extensibility using
the excellent Python programming language.

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
sed -i -e '/#\!/d' %{buildroot}/%{python_sitearch}/%{name}/canto_html.py
sed -i -e '/#\!/d' %{buildroot}/%{python_sitearch}/%{name}/cfg/{sources,base}.py

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}*
%attr(0644,root,root) %{python_sitearch}/%{name}/widecurse.so
%{python_sitearch}/*.egg-info
%{python_sitearch}/%{name}/*

%changelog
* Mon Sep 7 2009 Andreas Osowski <th0br0@mkdir.name> - 0.7.4-1
- Updated to 0.7.4
- Removed TODO from %%doc as it is no longer supplied by upstream

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 12 2009 Andreas Osowski <th0br0@mkdir.name> - 0.6.13-1
- Updated to 0.6.13

* Fri Apr 17 2009 Andreas Osowski <th0br0@mkdir.name> - 0.6.9-2
- Changed python_sitelib to python_sitearch due to problems on 64bit archs.

* Thu Apr 16 2009 Andreas Osowski <th0br0@mkdir.name> - 0.6.9-1
- Updated to 0.6.9

* Wed Apr 15 2009 Andreas Osowski <th0br0@mkdir.name> - 0.6.8-2
- Changed License
- rpmlint fixes
- Added BuildRequires: python-setuptools-devel
- Added Requires: python-chardet

* Fri Mar 27 2009 Andreas Osowski <th0br0@mkdir.name> - 0.6.8-1
- Initial package build
